Subject: permisions for Ethetool vs rtnetlink

From: Rick Jones <[email-masked]>
Date: Tue, 12 Feb 2008 14:08:54 -0800

I've been further enhancing the netperf omni tests to enable reporting 
stuff like uname for local/remote, the name of the probable egress 
interface (rtnetlink), and then driver information for that interface. 
I figure that such information being spat-out by netperf might be useful 
to have if one were setting-up a database of results and/or making 
regression checks and the like.

It struck me as a little odd that I can retrieve routing information for 
a destination as a mere mortal, but to retreive driver information for 
an interface I have to be priviledged.  At first glance I would think 
the sensitivity of both sets of information would be about the same?

Is the difference simply an artifact of history?

sincerely,

rick jones